Name:           moreutils
Version:        0.24
Release:        2%{?dist}
Summary:        Additional unix utilities
Group:          Applications/System
License:        GPLv2
URL:            http://kitenet.net/~joey/code/moreutils/
Source0:        http://ftp.debian.org/debian/pool/main/m/%{name}/%{name}_%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  docbook2X docbook-dtds
Requires:       perl-TimeDate perl-Time-Duration
# These perl modules add functionality to the ts command, as they are added in eval'd code they are not
# picked up automatically by rpm.

%description
 This is a growing collection of the unix tools that nobody thought
 to write thirty years ago.

 So far, it includes the following utilities:
  - isutf8: check if a file or standard input is utf-8
  - sponge: soak up standard input and write to a file
  - ts: timestamp standard input
  - vidir: edit a directory in your text editor
  - vipe: insert a text editor into a pipe
  - combine: combine the lines in two files using boolean operations
  - ifdata: get network interface info without parsing ifconfig output
  - pee: tee standard input to pipes
  - zrun: automatically uncompress arguments to command
  - mispipe: pipe two commands, returning the exit status of the first
  - lckdo: execute a program with a lock held

%prep
%setup -qn %{name}
# the required dtd's are not where this package expects them to be, let's fix that
sed -r -i "s/\/usr\/share\/xml\/docbook\/schema\/dtd\/4.4\/docbookx\.dtd/\/usr\/share\/sgml\/docbook\/xml-dtd-4.4-1.0-30.1\/docbookx.dtd/" *.docbook
# the docbook2x-man command is different in fedora, let's fix that too
sed -r -i "s/docbook2x-man/db2x_docbook2man/" Makefile
# a slightly different syntax is required here for the man pages to be built successfully
sed -r -i "s/ rep=\"repeat\"//" *.docbook


%build
make %{?_smp_mflags} CFLAGS="%{optflags} -DSUPPORT_LH7 -DMKSTEMP"


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -m0755 isutf8 %{buildroot}%{_bindir}
install -m0755 sponge %{buildroot}%{_bindir}
install -m0755 ts %{buildroot}%{_bindir}
install -m0755 vidir %{buildroot}%{_bindir}
install -m0755 vipe %{buildroot}%{_bindir}
install -m0755 combine %{buildroot}%{_bindir}
install -m0755 ifdata %{buildroot}%{_bindir}
install -m0755 pee %{buildroot}%{_bindir}
install -m0755 zrun %{buildroot}%{_bindir}
install -m0755 mispipe %{buildroot}%{_bindir}
install -m0755 lckdo %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
install -m644 sponge.1 %{buildroot}%{_mandir}/man1/
install -m644 vidir.1 %{buildroot}%{_mandir}/man1/
install -m644 vipe.1 %{buildroot}%{_mandir}/man1/
install -m644 isutf8.1 %{buildroot}%{_mandir}/man1/
install -m644 ts.1 %{buildroot}%{_mandir}/man1/
install -m644 combine.1 %{buildroot}%{_mandir}/man1/
install -m644 ifdata.1 %{buildroot}%{_mandir}/man1/
install -m644 pee.1 %{buildroot}%{_mandir}/man1/
install -m644 zrun.1 %{buildroot}%{_mandir}/man1/
install -m644 mispipe.1 %{buildroot}%{_mandir}/man1/
install -m644 lckdo.1 %{buildroot}%{_mandir}/man1/

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc README COPYING
%{_mandir}/man1/*
%{_bindir}/*


%changelog
* Wed Sep 19 2007 Marc Bradshaw <fedora@marcbradshaw.co.uk> 0.24-2%{?dist}
- Added optional perl modules to requirements

* Tue Sep 18 2007 Marc Bradshaw <fedora@marcbradshaw.co.uk> 0.24-1%{?dist}
- Version update
- Fixed specfile issues

* Mon Aug 13 2007 Marc Bradshaw <fedora@marcbradshaw.co.uk> 0.20-3%{?dist}
- Updated license field re new guidelines

* Mon Jun 18 2007 Marc Bradshaw <fedora@marcbradshaw.co.uk> 0.20-2%{?dist}
- optflags fix and extra doc files

* Thu May 24 2007 Marc Bradshaw <fedora@marcbradshaw.co.uk> 0.20-1%{?dist}
- Initial fedora release
